/**
 * DevExtreme (esm/renovation/ui/scroll_view/utils/get_scrollbar_size.js)
 * Version: 21.2.8 (build 22167-0310)
 * Build date: Thu Jun 16 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
export function getScrollbarSize(element, direction) {
    if ("vertical" === direction) {
        return element.offsetWidth - element.clientWidth
    }
    return element.offsetHeight - element.clientHeight
}
